
_interrupt:

;Weather.c,70 :: 		void interrupt()
;Weather.c,72 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;Weather.c,74 :: 		if (TMR0IF_bit)
	BTFSS       TMR0IF_bit+0, 2 
	GOTO        L_interrupt0
;Weather.c,76 :: 		TMR0H = 0xB;
	MOVLW       11
	MOVWF       TMR0H+0 
;Weather.c,77 :: 		TMR0L = 0xDC;
	MOVLW       220
	MOVWF       TMR0L+0 
;Weather.c,78 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;Weather.c,79 :: 		}
L_interrupt0:
;Weather.c,81 :: 		}
L_end_interrupt:
L__interrupt37:
	RETFIE      1
; end of _interrupt

_Init:

;Weather.c,85 :: 		void Init()
;Weather.c,88 :: 		PLLEN_bit = 1;
	BSF         PLLEN_bit+0, 6 
;Weather.c,89 :: 		Delay_ms(150);
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_Init1:
	DECFSZ      R13, 1, 1
	BRA         L_Init1
	DECFSZ      R12, 1, 1
	BRA         L_Init1
	DECFSZ      R11, 1, 1
	BRA         L_Init1
;Weather.c,91 :: 		ANCON0 = 0xF0;
	MOVLW       240
	MOVWF       ANCON0+0 
;Weather.c,92 :: 		ADSHR_bit  = 1;
	BSF         ADSHR_bit+0, 4 
;Weather.c,93 :: 		ANCON1  = 0xFF;
	MOVLW       255
	MOVWF       ANCON1+0 
;Weather.c,94 :: 		ADSHR_bit  = 0;
	BCF         ADSHR_bit+0, 4 
;Weather.c,96 :: 		CM1CON  = 0;
	CLRF        CM1CON+0 
;Weather.c,97 :: 		CM2CON  = 0;
	CLRF        CM2CON+0 
;Weather.c,99 :: 		T0CON.TMR0ON = 1;
	BSF         T0CON+0, 7 
;Weather.c,100 :: 		T0CON.T08BIT = 0;
	BCF         T0CON+0, 6 
;Weather.c,101 :: 		T0CON.T0CS   = 0;
	BCF         T0CON+0, 5 
;Weather.c,102 :: 		T0CON.T0SE   = 0;
	BCF         T0CON+0, 4 
;Weather.c,103 :: 		T0CON.PSA    = 0;
	BCF         T0CON+0, 3 
;Weather.c,104 :: 		T0CON.T0PS2  = 1;
	BSF         T0CON+0, 2 
;Weather.c,105 :: 		T0CON.T0PS1  = 0;
	BCF         T0CON+0, 1 
;Weather.c,106 :: 		T0CON.T0PS0  = 0;
	BCF         T0CON+0, 0 
;Weather.c,107 :: 		TMR0H = 0xB;
	MOVLW       11
	MOVWF       TMR0H+0 
;Weather.c,108 :: 		TMR0L = 0xDC;
	MOVLW       220
	MOVWF       TMR0L+0 
;Weather.c,110 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;Weather.c,111 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;Weather.c,112 :: 		INTCON = 0xA0;
	MOVLW       160
	MOVWF       INTCON+0 
;Weather.c,114 :: 		TRISF7_bit = 0;
	BCF         TRISF7_bit+0, 7 
;Weather.c,115 :: 		LATF7_bit = 1;
	BSF         LATF7_bit+0, 7 
;Weather.c,117 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;Weather.c,118 :: 		TFT_Init(320, 240);
	MOVLW       64
	MOVWF       FARG_TFT_Init_display_width+0 
	MOVLW       1
	MOVWF       FARG_TFT_Init_display_width+1 
	MOVLW       240
	MOVWF       FARG_TFT_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TFT_Init_display_height+1 
	CALL        _TFT_Init+0, 0
;Weather.c,119 :: 		TP_TFT_Init(320, 240, 0, 1);
	MOVLW       64
	MOVWF       FARG_TP_TFT_Init_display_width+0 
	MOVLW       1
	MOVWF       FARG_TP_TFT_Init_display_width+1 
	MOVLW       240
	MOVWF       FARG_TP_TFT_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_TFT_Init_display_height+1 
	CLRF        FARG_TP_TFT_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_TFT_Init_readY_ChNo+0 
	CALL        _TP_TFT_Init+0, 0
;Weather.c,120 :: 		TP_TFT_Set_ADC_Threshold(900);
	MOVLW       132
	MOVWF       FARG_TP_TFT_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_TFT_Set_ADC_Threshold_threshold+1 
	CALL        _TP_TFT_Set_ADC_Threshold+0, 0
;Weather.c,122 :: 		}
L_end_Init:
	RETURN      0
; end of _Init

_DisplayScreen:

;Weather.c,126 :: 		void DisplayScreen()
;Weather.c,128 :: 		TFT_Fill_Screen(CL_BLACK);
	CLRF        FARG_TFT_Fill_Screen_color+0 
	CLRF        FARG_TFT_Fill_Screen_color+1 
	CALL        _TFT_Fill_Screen+0, 0
;Weather.c,129 :: 		TFT_Set_Font(Tahoma12x15, CL_WHITE, FO_HORIZONTAL);
	MOVLW       _Tahoma12x15+0
	MOVWF       FARG_TFT_Set_Font_activeFont+0 
	MOVLW       hi_addr(_Tahoma12x15+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+1 
	MOVLW       higher_addr(_Tahoma12x15+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+2 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+1 
	CLRF        FARG_TFT_Set_Font_font_orientation+0 
	CALL        _TFT_Set_Font+0, 0
;Weather.c,131 :: 		TFT_Set_Brush(1, TFT_RGBToColor16bit(78, 132, 166), 0, LEFT_TO_RIGHT, CL_BLACK, CL_BLACK);
	MOVLW       78
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_red+0 
	MOVLW       132
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_green+0 
	MOVLW       166
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_blue+0 
	CALL        _TFT_RGBToColor16bit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_TFT_Set_Brush_brush_color+0 
	MOVF        R1, 0 
	MOVWF       FARG_TFT_Set_Brush_brush_color+1 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Brush_brush_enabled+0 
	CLRF        FARG_TFT_Set_Brush_gradient_enabled+0 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Brush_gradient_orientation+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_from+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_from+1 
	CLRF        FARG_TFT_Set_Brush_gradient_color_to+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_to+1 
	CALL        _TFT_Set_Brush+0, 0
;Weather.c,132 :: 		TFT_Set_Pen(TFT_RGBToColor16bit(255,255,255), 1);
	MOVLW       255
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_red+0 
	MOVLW       255
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_green+0 
	MOVLW       255
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_blue+0 
	CALL        _TFT_RGBToColor16bit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVF        R1, 0 
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Weather.c,133 :: 		TFT_Rectangle_Round_Edges(0, 0, 319, 239, 20);
	CLRF        FARG_TFT_Rectangle_Round_Edges_x_upper_left+0 
	CLRF        FARG_TFT_Rectangle_Round_Edges_x_upper_left+1 
	CLRF        FARG_TFT_Rectangle_Round_Edges_y_upper_left+0 
	CLRF        FARG_TFT_Rectangle_Round_Edges_y_upper_left+1 
	MOVLW       63
	MOVWF       FARG_TFT_Rectangle_Round_Edges_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_Round_Edges_x_bottom_right+1 
	MOVLW       239
	MOVWF       FARG_TFT_Rectangle_Round_Edges_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_Round_Edges_y_bottom_right+1 
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_Round_Edges_round_radius+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_Round_Edges_round_radius+1 
	CALL        _TFT_Rectangle_Round_Edges+0, 0
;Weather.c,134 :: 		TFT_Set_Pen(TFT_RGBToColor16bit(78, 132, 166), 1);
	MOVLW       78
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_red+0 
	MOVLW       132
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_green+0 
	MOVLW       166
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_blue+0 
	CALL        _TFT_RGBToColor16bit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVF        R1, 0 
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Weather.c,135 :: 		}
L_end_DisplayScreen:
	RETURN      0
; end of _DisplayScreen

_DisplayHour:

;Weather.c,139 :: 		void DisplayHour()
;Weather.c,141 :: 		TFT_Rectangle(X_HOUR, Y_HOUR, 318, Y_HOUR+16);
	MOVLW       240
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       200
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       216
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,142 :: 		TFT_Write_Text(tmp, X_HOUR, Y_HOUR);
	MOVLW       _tmp+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       240
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       200
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,143 :: 		}
L_end_DisplayHour:
	RETURN      0
; end of _DisplayHour

_DisplayCity:

;Weather.c,147 :: 		void DisplayCity()
;Weather.c,149 :: 		TFT_Rectangle(X_CITY, Y_CITY, 318, Y_CITY+16);
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       80
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       96
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,150 :: 		TFT_Write_Text(strCity, X_CITY, Y_CITY);
	MOVLW       _strCity+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_strCity+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       80
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,151 :: 		}
L_end_DisplayCity:
	RETURN      0
; end of _DisplayCity

_DisplayCondition:

;Weather.c,155 :: 		void DisplayCondition()
;Weather.c,157 :: 		TFT_Rectangle(X_CONDITION, Y_CONDITION, 318, Y_CONDITION+16);
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       100
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       116
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,158 :: 		TFT_Write_Text(strCondition, X_CONDITION, Y_CONDITION);
	MOVLW       _strCondition+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_strCondition+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       100
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,159 :: 		}
L_end_DisplayCondition:
	RETURN      0
; end of _DisplayCondition

_DisplayTemp:

;Weather.c,163 :: 		void DisplayTemp()
;Weather.c,165 :: 		TFT_Rectangle(X_TEMP, Y_TEMP, 318, Y_TEMP+16);
	MOVLW       4
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       36
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,166 :: 		TFT_Write_Text(strTemp, X_TEMP, Y_TEMP);
	MOVLW       _strTemp+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_strTemp+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       4
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       1
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,167 :: 		}
L_end_DisplayTemp:
	RETURN      0
; end of _DisplayTemp

_DisplayHumidity:

;Weather.c,171 :: 		void DisplayHumidity()
;Weather.c,173 :: 		TFT_Rectangle(X_HUMIDITY, Y_HUMIDITY, 318, Y_HUMIDITY+16);
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       120
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       136
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,174 :: 		TFT_Write_Text(strHumidity, X_HUMIDITY, Y_HUMIDITY);
	MOVLW       _strHumidity+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_strHumidity+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       120
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,175 :: 		}
L_end_DisplayHumidity:
	RETURN      0
; end of _DisplayHumidity

_DisplayWindCondition:

;Weather.c,179 :: 		void DisplayWindCondition()
;Weather.c,181 :: 		TFT_Rectangle(X_HUMIDITY, Y_WIND_CONDITION, 318, Y_WIND_CONDITION+16);
	MOVLW       20
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       140
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       62
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       156
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Weather.c,182 :: 		TFT_Write_Text(strWindCondition, X_WIND_CONDITION, Y_WIND_CONDITION);
	MOVLW       _strWindCondition+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_strWindCondition+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       140
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Weather.c,183 :: 		}
L_end_DisplayWindCondition:
	RETURN      0
; end of _DisplayWindCondition

_main:

;Weather.c,186 :: 		void main(void)
;Weather.c,190 :: 		Init();
	CALL        _Init+0, 0
;Weather.c,191 :: 		Delay_100ms();
	CALL        _Delay_100ms+0, 0
;Weather.c,193 :: 		DisplayScreen();
	CALL        _DisplayScreen+0, 0
;Weather.c,195 :: 		HID_Enable(&readbuff,&writebuff);
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;Weather.c,197 :: 		while(1)
L_main2:
;Weather.c,199 :: 		if ( HID_Read())
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main4
;Weather.c,202 :: 		if ( readbuff[0] == '1' )
	MOVF        1280, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
;Weather.c,204 :: 		hour = ( readBuff[1] - '0' ) * 10 + ( readBuff[2] - '0' );
	MOVLW       48
	SUBWF       1281, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       48
	SUBWF       1282, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVLW       0
	SUBWFB      R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _hour+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _hour+1 
;Weather.c,205 :: 		minute = ( readBuff[4] - '0' ) * 10 + ( readBuff[5] - '0' );
	MOVLW       48
	SUBWF       1284, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       48
	SUBWF       1285, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVLW       0
	SUBWFB      R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _minute+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _minute+1 
;Weather.c,206 :: 		second = ( readBuff[7] - '0' ) * 10 + ( readBuff[8] - '0' );
	MOVLW       48
	SUBWF       1287, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       48
	SUBWF       1288, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVLW       0
	SUBWFB      R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 1 
	MOVF        R3, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _second+0 
	MOVF        R1, 0 
	MOVWF       _second+1 
;Weather.c,207 :: 		sprintf(tmp, "%2.2d:%2.2d:%2.2d", hour, minute, second);
	MOVLW       _tmp+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_1_Weather+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_1_Weather+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_1_Weather+0)
	MOVWF       FARG_sprintf_f+2 
	MOVF        _hour+0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        _hour+1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        _minute+0, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        _minute+1, 0 
	MOVWF       FARG_sprintf_wh+8 
	MOVF        R0, 0 
	MOVWF       FARG_sprintf_wh+9 
	MOVF        R1, 0 
	MOVWF       FARG_sprintf_wh+10 
	CALL        _sprintf+0, 0
;Weather.c,208 :: 		DisplayHour();
	CALL        _DisplayHour+0, 0
;Weather.c,209 :: 		}
	GOTO        L_main6
L_main5:
;Weather.c,210 :: 		else if ( readbuff[0] == '2' )
	MOVF        1280, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_main7
;Weather.c,212 :: 		j = 1;
	MOVLW       1
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,213 :: 		for (i=0; i<63; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main8:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main47
	MOVLW       63
	SUBWF       main_i_L0+0, 0 
L__main47:
	BTFSC       STATUS+0, 0 
	GOTO        L_main9
;Weather.c,215 :: 		strCity[i] = readbuff[j];
	MOVLW       _strCity+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_strCity+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;Weather.c,216 :: 		j++;
	INFSNZ      main_j_L0+0, 1 
	INCF        main_j_L0+1, 1 
;Weather.c,213 :: 		for (i=0; i<63; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,217 :: 		}
	GOTO        L_main8
L_main9:
;Weather.c,218 :: 		DisplayCity();
	CALL        _DisplayCity+0, 0
;Weather.c,219 :: 		}
	GOTO        L_main11
L_main7:
;Weather.c,220 :: 		else if ( readbuff[0] == '3' )
	MOVF        1280, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_main12
;Weather.c,222 :: 		j = 1;
	MOVLW       1
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,223 :: 		for (i=0; i<63; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main13:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main48
	MOVLW       63
	SUBWF       main_i_L0+0, 0 
L__main48:
	BTFSC       STATUS+0, 0 
	GOTO        L_main14
;Weather.c,225 :: 		strCondition[i] = readbuff[j];
	MOVLW       _strCondition+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_strCondition+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;Weather.c,226 :: 		j++;
	INFSNZ      main_j_L0+0, 1 
	INCF        main_j_L0+1, 1 
;Weather.c,223 :: 		for (i=0; i<63; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,227 :: 		}
	GOTO        L_main13
L_main14:
;Weather.c,228 :: 		DisplayCondition();
	CALL        _DisplayCondition+0, 0
;Weather.c,229 :: 		}
	GOTO        L_main16
L_main12:
;Weather.c,230 :: 		else if ( readbuff[0] == '4' )
	MOVF        1280, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_main17
;Weather.c,232 :: 		j = 1;
	MOVLW       1
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,233 :: 		for (i=0; i<63; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main18:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main49
	MOVLW       63
	SUBWF       main_i_L0+0, 0 
L__main49:
	BTFSC       STATUS+0, 0 
	GOTO        L_main19
;Weather.c,235 :: 		strTemp[i] = readbuff[j];
	MOVLW       _strTemp+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_strTemp+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;Weather.c,236 :: 		j++;
	INFSNZ      main_j_L0+0, 1 
	INCF        main_j_L0+1, 1 
;Weather.c,233 :: 		for (i=0; i<63; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,237 :: 		}
	GOTO        L_main18
L_main19:
;Weather.c,238 :: 		DisplayTemp();
	CALL        _DisplayTemp+0, 0
;Weather.c,239 :: 		}
	GOTO        L_main21
L_main17:
;Weather.c,240 :: 		else if ( readbuff[0] == '5' )
	MOVF        1280, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_main22
;Weather.c,242 :: 		j = 1;
	MOVLW       1
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,243 :: 		for (i=0; i<63; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main23:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main50
	MOVLW       63
	SUBWF       main_i_L0+0, 0 
L__main50:
	BTFSC       STATUS+0, 0 
	GOTO        L_main24
;Weather.c,245 :: 		strHumidity[i] = readbuff[j];
	MOVLW       _strHumidity+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_strHumidity+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;Weather.c,246 :: 		j++;
	INFSNZ      main_j_L0+0, 1 
	INCF        main_j_L0+1, 1 
;Weather.c,243 :: 		for (i=0; i<63; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,247 :: 		}
	GOTO        L_main23
L_main24:
;Weather.c,248 :: 		DisplayHumidity();
	CALL        _DisplayHumidity+0, 0
;Weather.c,249 :: 		}
	GOTO        L_main26
L_main22:
;Weather.c,250 :: 		else if ( readbuff[0] == '6' )
	MOVF        1280, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L_main27
;Weather.c,252 :: 		j = 1;
	MOVLW       1
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,253 :: 		for (i=0; i<63; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main28:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main51
	MOVLW       63
	SUBWF       main_i_L0+0, 0 
L__main51:
	BTFSC       STATUS+0, 0 
	GOTO        L_main29
;Weather.c,255 :: 		strWindCondition[i] = readbuff[j];
	MOVLW       _strWindCondition+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_strWindCondition+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;Weather.c,256 :: 		j++;
	INFSNZ      main_j_L0+0, 1 
	INCF        main_j_L0+1, 1 
;Weather.c,253 :: 		for (i=0; i<63; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,257 :: 		}
	GOTO        L_main28
L_main29:
;Weather.c,258 :: 		DisplayWindCondition();
	CALL        _DisplayWindCondition+0, 0
;Weather.c,259 :: 		}
	GOTO        L_main31
L_main27:
;Weather.c,260 :: 		else if ( readbuff[0] == 'P' )
	MOVF        1280, 0 
	XORLW       80
	BTFSS       STATUS+0, 2 
	GOTO        L_main32
;Weather.c,262 :: 		n = readbuff[1];
	MOVF        1281, 0 
	MOVWF       main_n_L0+0 
	MOVLW       0
	MOVWF       main_n_L0+1 
;Weather.c,263 :: 		j=2;
	MOVLW       2
	MOVWF       main_j_L0+0 
	MOVLW       0
	MOVWF       main_j_L0+1 
;Weather.c,264 :: 		for (i=0; i<n; i++)
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main33:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       main_n_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main52
	MOVF        main_n_L0+0, 0 
	SUBWF       main_i_L0+0, 0 
L__main52:
	BTFSC       STATUS+0, 0 
	GOTO        L_main34
;Weather.c,266 :: 		TFT_Dot(readbuff[j+1]+X_IMAGE, readbuff[j]+Y_IMAGE, TFT_RGBToColor16bit(readbuff[j+2],readbuff[j+3],readbuff[j+4]));
	MOVLW       2
	ADDWF       main_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      main_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       _readbuff+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_red+0 
	MOVLW       3
	ADDWF       main_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      main_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       _readbuff+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_green+0 
	MOVLW       4
	ADDWF       main_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      main_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       _readbuff+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_TFT_RGBToColor16bit_rgb_blue+0 
	CALL        _TFT_RGBToColor16bit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_TFT_Dot_color+0 
	MOVF        R1, 0 
	MOVWF       FARG_TFT_Dot_color+1 
	MOVLW       1
	ADDWF       main_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      main_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       _readbuff+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_TFT_Dot_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Dot_x+1 
	MOVLW       20
	ADDWF       FARG_TFT_Dot_x+0, 1 
	MOVLW       0
	ADDWFC      FARG_TFT_Dot_x+1, 1 
	MOVLW       _readbuff+0
	ADDWF       main_j_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	ADDWFC      main_j_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_TFT_Dot_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Dot_y+1 
	MOVLW       20
	ADDWF       FARG_TFT_Dot_y+0, 1 
	MOVLW       0
	ADDWFC      FARG_TFT_Dot_y+1, 1 
	CALL        _TFT_Dot+0, 0
;Weather.c,267 :: 		j += 5;
	MOVLW       5
	ADDWF       main_j_L0+0, 1 
	MOVLW       0
	ADDWFC      main_j_L0+1, 1 
;Weather.c,264 :: 		for (i=0; i<n; i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Weather.c,268 :: 		}
	GOTO        L_main33
L_main34:
;Weather.c,269 :: 		}
L_main32:
L_main31:
L_main26:
L_main21:
L_main16:
L_main11:
L_main6:
;Weather.c,270 :: 		}
L_main4:
;Weather.c,271 :: 		}
	GOTO        L_main2
;Weather.c,272 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
